Fetch Workspace Case Actions

This endpoint retrieves a list of case actions.

Required permissions:

  • cases_read
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

Unique identifier of the case on which to perform the action. Must be a valid UUID format.

Query Params
string
enum

Comma-separated list of related resources to include in the response. Including related resources reduces the need for additional API calls.

Allowed:
uuid

Pagination cursor - returns case actions created after the case action with this ID.

  • Results are ordered by creation date
  • Cannot be used together with ending_before
  • Must be a valid UUID
uuid

Pagination cursor - returns case actions created before the case action with this ID.

  • Results are ordered by creation date
  • Cannot be used together with starting_after
  • Must be a valid UUID
string
enum

Field and direction to sort results by.

Format:

  • created_at - ascending order (oldest first)
  • -created_at - descending order (newest first)

Supported fields: created_at

Allowed:
integer
1 to 100

Maximum number of case actions to return in the response.

Constraints:

  • Minimum: 1
  • Maximum: 100

If not specified, the default pagination limit will be applied.

string
enum

Filter case actions by their type.

Multiple comma-separated values can be provided to filter by multiple types.

Allowed:
Headers
string
enum

Specifies the preferred language for the response. Supported languages:

  • en - English
  • fr - French

If not provided, the default language will be used.

Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json